Subject: Re: bug#26238: core-updates: Fix time zone bug in `date` 8.26

From: [email-masked] (Ludovic Courtès)
Date: Sun, 26 Mar 2017 16:12:40 +0200

Hi Leo,

Leo Famulari <[email-masked]> skribis:

> But, I'm not sure how to handle coreutils-final from (gnu packages
> commencement).

I think ‘coreutils-final’ doesn’t need the replacement because the
‘coreutils’ package that we get on GuixSD or when typing ‘guix package
-i coreutils’ is not ‘coreutils-final’.

‘-final’ is only used as an implicit input of ‘gnu-build-system’, where
the ‘date’ bug is arguably not a problem.

So for ‘coreutils-final’, I’d just do:

  (replacement #f)

WDYT?

> From 25897d2d2201251c7e98d938f9a78e00c4f6f27d Mon Sep 17 00:00:00 2001
> From: Leo Famulari <[email-masked]>
> Date: Fri, 24 Mar 2017 12:18:21 -0400
> Subject: [PATCH] WIP: coreutils: Fix a time-zone bug in date 8.26.
>
> * gnu/packages/base.scm (coreutils)[replacement]: New field.
> (coreutils/fixed): New variable.
> * gnu/packages/commencement.scm (coreutils-final): *** Help wanted :) ***
> * gnu/packages/patches/coreutils-fix-time-zone-conversion.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.

[...]

>  (define-public coreutils-minimal
>    ;; Coreutils without its optional dependencies.
>    (package
>      (inherit coreutils)
>      (name "coreutils-minimal")
> +    (replacement #f)
>      (outputs '("out"))
>      (inputs '())))

For good measure, ‘coreutils-minimal’ should also have:

  (source (package-source coreutils/fixed))

so that it gets the fix (nothing depends on ‘coreutils-minimal’, so
there’s no need for a graft here.)

Thanks!

Ludo’.